package org.jfree.date.test;

import static org.junit.Assert.assertEquals;

import org.jfree.date.Month;
import org.jfree.date.SerialDate;
import org.jfree.date.SpreadsheetDate;
import org.junit.Test;

public class TestDateArithmetic {
	/*
	 * Write tests for the following methods from SpreadsheetDate (inherited 
	 * from SerialDate). Test the methods as best as you can considering that 
	 * methods are black boxes to which you can only provide inputs and access
	 * outputs. Deduce the method behavior using only the comments and not the
	 * method source code.
	 * 
	 * 	addDays(int)
	 * 	addMonths(int)
	 * 	addYears(int)
	 */

	@Test
	public void testAddSevenDays() {
		// Example test
		SerialDate date1 = new SpreadsheetDate(15,Month.MAY,2009);
		SerialDate date2 = date1.addDays(7);
		assertEquals(22, date2.getDayOfMonth());
		assertEquals(Month.MAY, date2.getMonth());
		assertEquals(2009, date2.getYYYY());
	}
	
	public void testAddThreeDays() {
		// ...
	}

	
}
