package org.jfree.date.test;

import org.jfree.date.Month;
import org.jfree.date.SerialDate;
import org.jfree.date.SpreadsheetDate;
import org.junit.Test;
import static org.junit.Assert.*;

public class TestDateComparison {
	/*
	 * Write tests for the following methods from SpreadsheetDate. 
	 * Test the methods as best as you can using both the provided
	 * comments and the method source code.
	 * 
	 * 	compareTo(SerialDate)
	 * 	equals(Object)
	 * 	isInRange(SerialDate, SerialDate)
	 * 	isInRange(SerialDate, SerialDate, int)
	 */

	@Test
	public void testComparisonOfEqualDates() {
		// Example test
		SerialDate date1 = new SpreadsheetDate(15,Month.MAY,2009);
		SerialDate date2 = new SpreadsheetDate(15,Month.MAY,2009);
		assertEquals(0, date1.compareTo(date2));
	}
	
	@Test
	public void testComparisonOfDifferentDates() {
		// Example test
		SerialDate date1 = new SpreadsheetDate(15,Month.MAY,2009);
		SerialDate date2 = new SpreadsheetDate(15,Month.MARCH,2009);
		assertTrue(0 != date1.compareTo(date2));
	}
	
	@Test
	public void testLessThanComparisonOfDates() {
		// ...
	}
}
